LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::MenuItemStyle Constant Group Reference

These values are used to specify the properties of a menu item. More...

## Variables
const short | CHECKABLE = 1
| specifies an item which can be checked independently. More...
const short | RADIOCHECK = 2
| specifies an item which can be checked dependent on the neighbouring items. More...
const short | AUTOCHECK = 4
| specifies to check this item automatically on select. More...

## Detailed Description

These values are used to specify the properties of a menu item.

## Variable Documentation

## ◆ AUTOCHECK

const short AUTOCHECK = 4

specifies to check this item automatically on select.

## ◆ CHECKABLE

const short CHECKABLE = 1

specifies an item which can be checked independently.

## ◆ RADIOCHECK

const short RADIOCHECK = 2

specifies an item which can be checked dependent on the neighbouring items.